/**
  * 房
*/
import { getRequest, getRequestNoSort } from '@/utils/request'

export default {
  admestatelist: params => { // 楼盘列表接口
    return getRequest('/adm/estate/list', params)
  },
  admestateadd: params => { // 楼盘添加
    return getRequestNoSort('/adm/estate/add', params, 'loading')
  },
  admestateedit: params => { // 楼盘编辑
    return getRequestNoSort('/adm/estate/edit', params, 'loading')
  },
  admestatedetail: params => { // 楼盘详情
    return getRequestNoSort('/adm/estate/detail', params, 'loading')
  },
  admestatedel: params => { // 楼盘删除
    return getRequestNoSort('/adm/estate/del', params, 'loading')
  },
  admestatecontentedit: params => { // 楼盘介绍内容 编辑
    return getRequestNoSort('/adm/estate/content/edit', params, 'loading')
  },
  admestatecontentdetail: params => { //  楼盘介绍内容 详情
    return getRequestNoSort('/adm/estate/content/detail', params, 'loading')
  },
  admestateinfoedit: params => { // 楼盘一页纸 编辑
    return getRequestNoSort('/adm/estate/info/edit', params, 'loading')
  },
  admestateinfodetail: params => { //  楼盘一页纸 详情
    return getRequestNoSort('/adm/estate/info/detail', params, 'loading')
  },
  admestategovernlist: params => { // 楼盘 案场人员 列表接口
    return getRequest('/adm/estate/govern/list', params)
  },
  admestategovernadd: params => { // 楼盘 案场人员 添加
    return getRequestNoSort('/adm/estate/govern/add', params, 'loading')
  },
  admestategoverndel: params => { // 楼盘 案场人员 删除
    return getRequestNoSort('/adm/estate/govern/del', params, 'loading')
  },
  admestateliblist: params => { // 内部楼盘 - 楼盘列表接口
    return getRequest('/adm/estate/lib/list', params)
  },
  admestatelibadd: params => { // 内部楼盘 - 楼盘添加
    return getRequestNoSort('/adm/estate/lib/add', params, 'loading')
  },
  admestatelibedit: params => { // 内部楼盘 - 楼盘编辑
    return getRequestNoSort('/adm/estate/lib/edit', params, 'loading')
  },
  admestatelibdetail: params => { // 内部楼盘 - 楼盘详情
    return getRequestNoSort('/adm/estate/lib/detail', params, 'loading')
  },
  admestatelibdel: params => { // 内部楼盘 - 楼盘删除
    return getRequestNoSort('/adm/estate/lib/del', params, 'loading')
  },
  admbrokeragelist: params => { // 内部楼盘 平台渠道 - 列表接口
    return getRequest('/adm/brokerage/list', params)
  },
  admbrokerageadd: params => { // 内部楼盘 平台渠道 - 添加
    return getRequestNoSort('/adm/brokerage/add', params, 'loading')
  },
  admbrokerageedit: params => { // 内部楼盘 平台渠道 - 编辑
    return getRequestNoSort('/adm/brokerage/edit', params, 'loading')
  },
  admbrokeragedel: params => { // 内部楼盘 平台渠道 - 删除
    return getRequestNoSort('/adm/brokerage/del', params, 'loading')
  },
  admestatecustoslist: params => { // 外部楼盘 - 小程序客服 - 列表
    return getRequest('adm/estate/custos/list', params)
  },
  admestatecustosadd: params => { // 外部楼盘 - 小程序客服 - 添加
    return getRequestNoSort('/adm/estate/custos/add', params, 'loading')
  },
  admestatecustosdel: params => { // 外部楼盘 - 小程序客服 - 删除
    return getRequestNoSort('/adm/estate/custos/del', params, 'loading')
  },
  admestatemanagelist: params => { // 外部楼盘 - 管理员 - 列表
    return getRequest('adm/estate/manage/list', params)
  },
  admestatemanageadd: params => { // 外部楼盘 - 管理员 - 添加
    return getRequestNoSort('/adm/estate/manage/add', params, 'loading')
  },
  admestatemanagedel: params => { // 外部楼盘 - 管理员 - 删除
    return getRequestNoSort('/adm/estate/manage/del', params, 'loading')
  },
  admestatebrokerageupdate: params => { // 更新楼盘佣金
    return getRequestNoSort('/adm/estate/brokerage/update', params, 'loading')
  },
  admestatebrokeragelog: params => { // 更新楼盘佣金日志
    return getRequest('/adm/estate/brokerage/log', params)
  },
}